# Uses of Class
org.apache.lucene.codecs.StoredFieldsReader

Packages that use StoredFieldsReader
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.
org.apache.lucene.codecs.lucene90.compressing
Lucene 9.0 compressing format.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of StoredFieldsReader in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return StoredFieldsReader
  Modifier and Type
  Method
  Description
  `abstract StoredFieldsReader`
  StoredFieldsReader.`clone()`
  `abstract StoredFieldsReader`
  StoredFieldsFormat.`fieldsReader(Directory directory, SegmentInfo si, FieldInfos fn, IOContext context)`
  Returns a `StoredFieldsReader` to load stored fields.
  `StoredFieldsReader`
  StoredFieldsReader.`getMergeInstance()`
  Returns an instance optimized for merging.

- ## Uses of StoredFieldsReader in org.apache.lucene.codecs.lucene90

  Methods in org.apache.lucene.codecs.lucene90 that return StoredFieldsReader
  Modifier and Type
  Method
  Description
  `StoredFieldsReader`
  Lucene90StoredFieldsFormat.`fieldsReader(Directory directory, SegmentInfo si, FieldInfos fn, IOContext context)`

- ## Uses of StoredFieldsReader in org.apache.lucene.codecs.lucene90.compressing

  Subclasses of StoredFieldsReader in org.apache.lucene.codecs.lucene90.compressing
  Modifier and Type
  Class
  Description
  `final class`
  `Lucene90CompressingStoredFieldsReader`
  `StoredFieldsReader` impl for `Lucene90CompressingStoredFieldsFormat`.
  Methods in org.apache.lucene.codecs.lucene90.compressing that return StoredFieldsReader
  Modifier and Type
  Method
  Description
  `StoredFieldsReader`
  Lucene90CompressingStoredFieldsReader.`clone()`
  `StoredFieldsReader`
  Lucene90CompressingStoredFieldsFormat.`fieldsReader(Directory directory, SegmentInfo si, FieldInfos fn, IOContext context)`
  `StoredFieldsReader`
  Lucene90CompressingStoredFieldsReader.`getMergeInstance()`

- ## Uses of StoredFieldsReader in org.apache.lucene.index

  Fields in org.apache.lucene.index declared as StoredFieldsReader
  Modifier and Type
  Field
  Description
  `final StoredFieldsReader[]`
  MergeState.`storedFieldsReaders`
  Stored field producers being merged
  Methods in org.apache.lucene.index that return StoredFieldsReader
  Modifier and Type
  Method
  Description
  `abstract StoredFieldsReader`
  CodecReader.`getFieldsReader()`
  Expert: retrieve underlying StoredFieldsReader
  `StoredFieldsReader`
  FilterCodecReader.`getFieldsReader()`
  `StoredFieldsReader`
  SegmentReader.`getFieldsReader()`
  `StoredFieldsReader`
  SortingCodecReader.`getFieldsReader()`
  Constructors in org.apache.lucene.index with parameters of type StoredFieldsReader
  Modifier
  Constructor
  Description
  ``
  `MergeState(MergeState.DocMap[] docMaps, SegmentInfo segmentInfo, FieldInfos mergeFieldInfos, StoredFieldsReader[] storedFieldsReaders, TermVectorsReader[] termVectorsReaders, NormsProducer[] normsProducers, DocValuesProducer[] docValuesProducers, FieldInfos[] fieldInfos, Bits[] liveDocs, FieldsProducer[] fieldsProducers, PointsReader[] pointsReaders, KnnVectorsReader[] knnVectorsReaders, int[] maxDocs, InfoStream infoStream, Executor intraMergeTaskExecutor, boolean needsIndexSort)`
  Create a new merge instance.